[Rust]
lexer=rust

keywords.0=name:Keywords::alignof as be box break const continue crate do else enum extern false fn for if impl in let loop match mod mut offsetof once priv proc pub pure ref return self sizeof static struct super trait true type typeof unsafe unsized use virtual while yield 

keywords.1=name:Built-in types::bool char f32 f64 i16 i32 i64 i8 int str u16 u32 u64 u8 uint

keywords.2=name:Self parameter::Self 

CommentBoxStart=/*
CommentBoxEnd= */
CommentBoxMiddle= *
CommentBlock=//~
CommentStreamStart=/*
CommentStreamEnd=*/

style.0=Whitespace,fore:#808080
style.1=Block comment,fore:clGreen
style.2=Line comment,fore:clGreen
style.3=Block doc comment,fore:clGreen
style.4=Line doc comment,fore:clGreen
style.5=Number,fore:clTeal
style.6=Keywords 1,fore:clWindowText,bold
style.7=Keywords 2,fore:clWindowText,bold
style.8=Keywords 3,fore:clWindowText
style.9=Keywords 4,fore:clWindowText,bold
style.10=Keywords 5,fore:clWindowText,bold
style.11=Keywords 6,fore:clWindowText,bold
style.12=Keywords 7,fore:clWindowText,bold
style.13=Regular string,fore:clPurple
style.14=Raw string,fore:#B090B0
style.15=Character,fore:clPurple,back:#FFF3FF,eolfilled
style.16=Operator,fore:clWindowText
style.17=Identifier,
style.18=Lifetime,fore:#007F7F
style.19=Macro,fore:#7F7F00
style.20=Lexical error,fore:#000000,$(font.monospace),back:#E0C0E0
style.21=Byte string,fore:clPurple
style.22=Raw byte string,fore:#B090B0
style.23=Byte character,fore:clPurple,back:#FFF3FF,eolfilled